<?php

namespace App\Models\Enums;

enum GrowthPetPointEnum: string
{
    case RESIST_WARRIOR = 'RESIST_WARRIOR';
    case RESIST_SURA = 'RESIST_SURA';
    case RESIST_ASSASSIN = 'RESIST_ASSASSIN';
    case RESIST_SHAMAN = 'RESIST_SHAMAN';
    case RESIST_MAGIC_REDUCTION = 'RESIST_MAGIC_REDUCTION';
    case MELEE_MAGIC_ATT_BONUS_PER = 'MELEE_MAGIC_ATT_BONUS_PER';
    case ATTBONUS_MONSTER = 'ATTBONUS_MONSTER';
    case PENETRATE_PCT = 'PENETRATE_PCT';
    case CASTING_SPEED = 'CASTING_SPEED';
    case BOW_DISTANCE = 'BOW_DISTANCE';
    case STEAL_SP = 'STEAL_SP';
    case STEAL_HP = 'STEAL_HP';
    case KILL_HP_RECOVERY = 'KILL_HP_RECOVERY';
    case BLOCK = 'BLOCK';
    case REFLECT_MELEE = 'REFLECT_MELEE';
    case GOLD_DOUBLE_BONUS = 'GOLD_DOUBLE_BONUS';
    case EXP_DOUBLE_BONUS = 'EXP_DOUBLE_BONUS';
    case POTION_BONUS = 'POTION_BONUS';
}
